{% extends "base.html" %}

<!DOCTYPE html>
<html>
<head>
    {% load static %}
    {% block heading %}
    <title>Dashboard</title>
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.19/css/jquery.dataTables.css">
    <script src="{% static 'js/notification-mail-receiver.js' %}"> </script>
    <script
        src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"
        integrity="sha384-rgWRqC0OFPisxlUvl332tiM/qmaNxnlY46eksSZD84t+s2vZlqGeHrncwIRX7CGp"
        crossorigin="anonymous"
    ></script>
    <script src="https://cdn.datatables.net/1.10.19/js/dataTables.bootstrap4.min.js"
        integrity="sha384-uiSTMvD1kcI19sAHJDVf68medP9HA2E2PzGis9Efmfsdb8p9+mvbQNgFhzii1MEX"
        crossorigin="anonymous">
    </script>    
    {% endblock heading %}
</head>
<body>
{% block content %}	
    <div class='main-home'>
        <div class="row">
            <div class="col-12 text-center">
                <h1>Notification Mail Receiver</h1>
                <p class="text-center">Emails listed here will be notified when memory usage exceeds the limit</p>
            </div>
        </div>
        <br/>
        <div class='row'>
            <div class="col-6">
                <h5>Notification Mail Status: {{ notification_mail_status }} </h5>
            </div>
            <div class="col-6 text-right">
                {% if notification_mail_status == "Active" %}
                <button type="button" class="btn btn-danger" onclick="location.href='/notification-mail/deactivate';">Deactivate</button>
                {% else %}
                <button type="button" class="btn btn-success" onclick="location.href='/notification-mail/activate';">Activate</button>
                {% endif %}
            </div>
        </div>
        <br/>
        <div class='table-responsive'>
            <table id="notification-mail-receiver-list-table" class="table">
                <thead class="thead-dark text-center">
                    <tr>
                        <th scope="col">No.</th>
                        <th scope="col">Mail Receiver</th>
                        <th scope="col">Action</th>
                    </tr>
                </thead>
                <tbody class="text-center">
                    {% for mail_receiver in mail_receivers %}
                        <tr>
                            <th scope="row">
                                {{ forloop.counter }}
                            </th>
                            <td>
                                {{ mail_receiver.email }}
                            </td>
                            <td>
                                <form method="POST" action="/notification-mail/receiver/delete">
                                  {% csrf_token %}
                                  <input type="hidden" name="email" value="{{ mail_receiver.email }}">
                                  <button type="submit" class="btn btn-danger">Delete</button>
                                </form>
                            </td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
        <br/>
        <button type="button" class="btn btn-primary" id="new-receiver-button">New Receiver</button>
        <br/>
        <br/>
        <div class="text-danger">
            {{ error }}
        </div>
		<div class="modal fade" id="modal-add-new-receiver" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
		  <div class="modal-dialog modal-dialog-centered" role="document">
		    <div class="modal-content">
		      <div class="modal-header">
		        <h5 class="modal-title" id=modal-add-new-receiver-title">Enter receiver email</h5>
		        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
		          <span aria-hidden="true">&times;</span>
		        </button>
		      </div>
              <form method="POST" action="/notification-mail/receiver/add">
                {% csrf_token %}
		        <div class="modal-body">
		          <input type="email" name="email" class="form-control" placeholder="receiver@gmail.com ..." maxlength="255" required="" id="receiver-email">
		        </div>
		        <div class="modal-footer">
		          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
		          <button type="submit" class="btn btn-primary">Submit</button>
		        </div>
              </form>
		    </div>
		  </div>
		</div>
    </div>
{% endblock content %}	
</body>
</html>
